Authentication
Get a token
POST
Exchange your client credentials for a bearer token (OAuth 2.0 client credentials).
- body
grant_type*"client_credentials"Value in
"client_credentials"client_id?stringOmit when sent via HTTP Basic.
client_secret?stringOmit when sent via HTTP Basic.
client_assertion_type?stringclient_assertion?stringprivate_key_jwt assertion.
Bearer token; Cache-Control: no-store.
application/json- response
access_token*stringThe token. Send it as Authorization: Bearer <access_token>.
token_type?stringAlways Bearer.
Default
"Bearer"expires_in*integerSeconds until the token expires.
curl -X POST 'https://api.wapiu.ai/v1/get-token' \ -H 'Content-Type: application/json' \ -d '{ "grant_type": "client_credentials"}'Example Response
{ "access_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...", "token_type": "Bearer", "expires_in": 3600}